Bug 1028794 - NPE in mvel when invoking a defined function during deployment
NPE in mvel when invoking a defined function during deployment
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: RT Governance (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER7
: 6.0.0
Assigned To: Gary Brown
Jiri Pechanec
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-10 14:51 EST by Gary Brown
Modified: 2014-07-02 05:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker RTGOV-299 Major Closed SLA reports sample deployment exception 2014-07-02 05:18:58 EDT

  None (edit)
Description Gary Brown 2013-11-10 14:51:14 EST
Description of problem:

During deployment, the MVEL script for the quickstart sla/report causes a null pointer exception related to the invocation of a function defined in the script.

Unit tests associated with the sla report quickstart, as well as arquillian tests performed using this quickstart, don't result in the exception.

The problem only occurs when doing a deployment of the quickstart to EAP 6.1 with switchyard 1.1.

This issue only occurred around mid October, so not sure what had changed, as previously the script deployed without any problems - and no changes have occurred to this reporting capability.
Comment 1 Gary Brown 2013-11-10 14:53:58 EST
Applied a workaround, to avoid using the defined function for now.
Comment 2 JBoss JIRA Server 2013-11-10 14:58:28 EST
Gary Brown <gary@brownuk.com> updated the status of jira RTGOV-299 to Resolved
Comment 3 JBoss JIRA Server 2013-11-10 14:58:28 EST
Gary Brown <gary@brownuk.com> made a comment on jira RTGOV-299

Current workaround is to expand out the function calls.
Comment 4 Len DiMaggio 2013-11-11 12:10:01 EST
Gary - can you set the severity value for this bugzilla? Thanks!
Comment 5 Jiri Pechanec 2014-01-07 07:15:49 EST
Verified in ER8
Comment 6 JBoss JIRA Server 2014-07-02 05:18:59 EDT
Gary Brown <gary@brownuk.com> updated the status of jira RTGOV-299 to Closed

Note You need to log in before you can comment on or make changes to this bug.